Bug 826921 - 3.1 - vdsm ignores options in vdsm.conf file.
Summary: 3.1 - vdsm ignores options in vdsm.conf file.
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: vdsm
Version: 6.3
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: rc
: ---
Assignee: Greg Padgett
QA Contact: Leonid Natapov
URL:
Whiteboard: Storage
Keywords: Regression, ZStream
Depends On:
Blocks: 871539 872287
TreeView+ depends on / blocked
 
Reported: 2012-05-31 09:10 UTC by Leonid Natapov
Modified: 2016-06-12 23:15 UTC (History)
12 users (show)

(edit)
The following parameter has been deprecated in the /etc/vdsm/vdsm.conf file:

    [irs]
    nfs_mount_options = soft,nosharecache,vers=3

    This parameter will continue to be supported in versions 3.x, but will be removed in version 4.0 of RHEV. Customers using this parameter should upgrade their domains to V2 and greater and set the parameters from the GUI.
Clone Of:
: 871539 872287 (view as bug list)
(edit)
Last Closed: 2012-12-04 18:49:24 UTC


Attachments (Terms of Use)
vdsm log (371.60 KB, application/octet-stream)
2012-06-03 09:35 UTC, Leonid Natapov
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:1508 normal SHIPPED_LIVE Important: rhev-3.1.0 vdsm security, bug fix, and enhancement update 2012-12-04 23:48:05 UTC

Description Leonid Natapov 2012-05-31 09:10:38 UTC
vdsm ignores options in vdsm.conf file.

I was trying to tell vdsm to do NFS mount using version 3.
Editing vds.conf file and putting there the following lines,restarting the vdsm,putting SD to maintenance and activating it again (in order to do mount again) doesn't apply to vdsm.
The mount still shows "vers=4"


[irs]
nfs_mount_options = soft,nosharecache,vers=3

vdsm-4.9.6-4.5.x86_64

Comment 3 Dan Kenigsberg 2012-06-02 19:30:22 UTC
What is this vdsm-4.9.6-4.5.x86_64 build? where's vdsm.log? Have you tried this in more than one mountpoint in one host? What happens when you add a completly silly option (say, "danken")? Does it show in vdsm.log and mount command?

Comment 4 Leonid Natapov 2012-06-03 09:35:33 UTC
Created attachment 588813 [details]
vdsm log

Comment 5 Leonid Natapov 2012-06-03 09:38:01 UTC
vdsm-4.9.6-4.5.x86_64 is vdsm that comes with si4 build. 
vdsm log added. I tried this on more than one mountpoint. vdsm daemon was restarted after each change in vdsm.conf file.

Comment 7 Itamar Heim 2012-06-07 09:50:02 UTC
iiuc - nfs options from backend should override vdsm.conf

Comment 8 Ayal Baron 2012-06-07 09:53:50 UTC
(In reply to comment #7)
> iiuc - nfs options from backend should override vdsm.conf

Correct, but if not passed from backend need to take from conf.
Need release note to specify that vdsm.conf param is deprecated and will be ignored in the future.

Comment 9 Ayal Baron 2012-06-07 21:10:23 UTC
(In reply to comment #8)
> (In reply to comment #7)
> > iiuc - nfs options from backend should override vdsm.conf
> 
> Correct, but if not passed from backend need to take from conf.
> Need release note to specify that vdsm.conf param is deprecated and will be
> ignored in the future.

Just to be clear, the deprecated parameter is:
[irs]
nfs_mount_options = soft,nosharecache,vers=3

It will be supported in 3.x, but will probably be removed in 4.0
Customers using it should upgrade domains to > V2 and set the params from the GUI

Comment 10 Martin Prpič 2012-06-08 09:26:22 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
The following parameter has been deprecated in the /etc/vdsm/vdsm.conf file:

    [irs]
    nfs_mount_options = soft,nosharecache,vers=3

    This parameter will continue to be supported in versions 3.x, but will be removed in version 4.0 of NFS. Customers using this parameter should upgrade their domains to V2 and greater and set the parameters from the GUI.

Comment 11 Greg Padgett 2012-06-15 00:13:20 UTC
(In reply to comment #8)
> (In reply to comment #7)
> > iiuc - nfs options from backend should override vdsm.conf
> 
> Correct, but if not passed from backend need to take from conf.

Changes pushed: http://gerrit.ovirt.org/5368

The proposed patch checks for matching keys on a per-option basis, but does not do any "intelligent" option resolution.  E.g. the following option combinations will be resolved:

engine    | vdsm.conf   | resulting option
-------------------------------------------
timeo=600 | timeo=1000  | timeo=600
<nothing> | vers=3      | vers=3
soft      | hard        | soft,hard     (can't do this!)

(This is all done within the context of a longer option string, so combinations like "vers=3,intr" would do what you expect subject to the above rules.)

Comment 12 Greg Padgett 2012-06-15 00:15:57 UTC
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -3,4 +3,4 @@
     [irs]
     nfs_mount_options = soft,nosharecache,vers=3
 
-    This parameter will continue to be supported in versions 3.x, but will be removed in version 4.0 of NFS. Customers using this parameter should upgrade their domains to V2 and greater and set the parameters from the GUI.+    This parameter will continue to be supported in versions 3.x, but will be removed in version 4.0 of RHEV. Customers using this parameter should upgrade their domains to V2 and greater and set the parameters from the GUI.

Comment 21 Greg Padgett 2012-09-01 18:01:43 UTC
New patches - these send an alert to the engine when the deprecated parameter is used:

vdsm: http://gerrit.ovirt.org/5368
engine: http://gerrit.ovirt.org/7658

Comment 24 Greg Padgett 2012-11-01 14:07:56 UTC
Merged change id I3c1d13bfd98a9b41b9728bdcb7f01b3161c26bd8

Comment 26 Leonid Natapov 2012-11-05 16:56:04 UTC
si24. checked with  nfs_mount_options = soft,nosharecache,timeo=600,retrans=6 in vdsm.conf file and with defaults. works according to logic described in last paragraph of comment #7.

Comment 28 errata-xmlrpc 2012-12-04 18:49:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1508.html


Note You need to log in before you can comment on or make changes to this bug.